﻿namespace TestProject
{
    /// <summary>
    /// 사용자
    /// </summary>
    public class User
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 사용자 배열
        /// </summary>
        public static User[] UserArray = new User[]
        {
            new User() { FirstName = "Nancy" , LastName = "Davolio" , Country = "USA"       , City = "Los Angeles"},
            new User() { FirstName = "Andrew", LastName = "Fuller"  , Country = "UK"        , City = "London"     },
            new User() { FirstName = "Laura" , LastName = "Callahan", Country = "Australia" , City = "Sydney"     },
        };

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 이름 - FirstName

        /// <summary>
        /// 이름
        /// </summary>
        public string FirstName { get; set; }

        #endregion
        #region 성 - LastName

        /// <summary>
        /// 성
        /// </summary>
        public string LastName { get; set; }

        #endregion
        #region 전체 이름 - FullName

        /// <summary>
        /// 전체 이름
        /// </summary>
        public string FullName
        {
            get
            {
                return FirstName + " " + LastName;
            }
        }

        #endregion
        #region 국가 - Country

        /// <summary>
        /// 국가
        /// </summary>
        public string Country { get; set; }

        #endregion
        #region 도시 - City

        /// <summary>
        /// 도시
        /// </summary>
        public string City { get; set; }

        #endregion
    }
}